org.apache.ignite.internal.binary

## Class BinarySchema.Builder

- java.lang.Object
- - org.apache.ignite.internal.binary.BinarySchema.Builder

Enclosing class:
  BinarySchema

    public static class BinarySchema.Builder
    extends Object

Schema builder.

### Method Summary

Methods
`void` `addField(int fieldId)` Add field.
`BinarySchema` `build()` Build schema.
`static BinarySchema.Builder` `newBuilder()` Create new schema builder.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newBuilder

    public static BinarySchema.Builder newBuilder()

Create new schema builder.

Returns:
  Schema builder.

#### addField

    public void addField(int fieldId)

Add field.

Parameters:
  `fieldId` - Field ID.

#### build

    public BinarySchema build()

Build schema.

Returns:
  Schema.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016